Bug 141370 - anaconda doesn't specify pesize when writing anaconda-ks.cfg
anaconda doesn't specify pesize when writing anaconda-ks.cfg
Status: CLOSED RAWHIDE
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: anaconda (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-30 13:42 EST by David Lehman
Modified: 2007-11-30 17:07 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-24 14:00:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Lehman 2004-11-30 13:42:24 EST
Description of problem:
writeKS in partitions.py does not specify the PE size of a volume group. When
the user has specified a PE size greater than the default they may also specify
larger LVs. However, if the anaconda-ks.cfg is actually used in this case, the
creation of these LVs will fail because the PE size is prohibitively small (it
will have defaulted to 4MB since the pesize was not specified).

Version-Release number of selected component (if applicable):
anaconda-9.1.3-3.RHEL

How reproducible:
Always

Steps to Reproduce:
1. Install a system using LVM with pesize > 4MB and a logical volume of size > 256GB
2. Take the resulting /root/anaconda-ks.cfg and, after uncommenting the
partitioning info, use it to kickstart another (or the same) system
3.
  
Actual results:
kickstart install fails because lvm specs say to create an LV > 256GB with a VG
whose PE size is 4MB, which is not possible

Expected results:
kickstart works just like the install from whence it was generated

Additional info:
Comment 1 Jeremy Katz 2004-12-01 14:14:06 EST
Fixed in CVS for RHEL4 and HEAD
Comment 2 Jeremy Katz 2006-04-24 14:00:16 EDT
Mass-closing lots of old bugs which are in MODIFIED (and thus presumed to be
fixed).  If any of these are still a problem, please reopen or file a new bug
against the release which they're occurring in so they can be properly tracked.

Note You need to log in before you can comment on or make changes to this bug.